<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			rodrigo.hernandez
@cu 				CU-SA-AC-050  
@ManagedBean        ModificacionPlazoEjecucionAvaluoMB
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Modificar plazo de ejecución de avaluo::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <h:form id="modificarPlazoEjecucionAvaluoForm">
            <p:messages showDetail="false" globalOnly="false" />

            <p:fieldset id="modificarPlazoEjecucionFS">

                <h:panelGrid width="100%">

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colGrande">

                        <h:outputLabel value="Tipo de profesional"
                                       styleClass="outputLabelStyle" />

                        <h:selectOneRadio styleClass="outputTextStyle"
                                          value="#{modificarPlazoEjecucionAvaluo.banderaEsAvaluadorExterno}">
                            <f:selectItem itemLabel="Avaluador de nómina" itemValue="false" />
                            <f:selectItem itemLabel="Avaluador externo" itemValue="true" />
                            <p:ajax process="@this"
                                    listener="#{modificarPlazoEjecucionAvaluo.cargarListaAvaluadores}"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();"
                                    update=":modificarPlazoEjecucionAvaluoForm:modificarPlazoEjecucionFS" />
                        </h:selectOneRadio>

                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colGrande">

                        <h:outputLabel value="Nombre interventor:"
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu label="Nombre interventor avaluador"
                                         value="#{modificarPlazoEjecucionAvaluo.idInterventorSeleccionado}">
                            <f:selectItems
                                value="#{modificarPlazoEjecucionAvaluo.interventoresMenu}" />

                            <p:ajax
                                listener="#{modificarPlazoEjecucionAvaluo.cargarListaAvaluadores}"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"
                                update="modificarPlazoEjecucionFS" />
                        </h:selectOneMenu>

                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colGrande">

                        <h:outputLabel value="Nombre avaluador"
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu label="Nombre avaluador"
                                         value="#{modificarPlazoEjecucionAvaluo.idAvaluadorSeleccionado}">
                            <f:selectItems
                                value="#{modificarPlazoEjecucionAvaluo.avaluadoresMenu}" />

                            <p:ajax
                                listener="#{modificarPlazoEjecucionAvaluo.cargarListaAvaluadores}"
                                update="modificarPlazoEjecucionFS"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>

                    </h:panelGrid>

                    <p:commandButton value="Buscar" icon="ui-icon ui-icon-search"
                                     action="#{modificarPlazoEjecucionAvaluo.buscarAvaluos}"
                                     oncomplete="statusDialog2.hide();" onstart="statusDialog2.show();"
                                     update="modificarPlazoEjecucionFS">
                    </p:commandButton>

                    <p:spacer height="15" />

                    <p:dataTable id="contratosAsciadosDT"
                                 rendered="#{modificarPlazoEjecucionAvaluo.banderaEsBusquedaAvaluos}"
                                 value="#{modificarPlazoEjecucionAvaluo.listaAvaluos}" var="avaluo"
                                 paginator="true" rows="10" rowKey="#{avaluo.id}"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                                 {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron avaluos">

                        <f:facet name="header">
                            Resultado de la búsqueda
                        </f:facet>

                        <p:column style="width:7px">
                            <f:facet name="header">
                                Opciones
                            </f:facet>
                            <p:outputPanel layout="block" style="text-align:center">

                                <p:commandButton title="Ampliar plazo"
                                                 action="#{modificarPlazoEjecucionAvaluo.iniciarAvaluoMovimiento}"
                                                 disabled="#{avaluo.estaSuspendido}" icon="ui-icon ui-icon-plus"
                                                 oncomplete="ingresarDiasAmpliacionWV.show(); statusDialog2.hide();"
                                                 onstart="statusDialog2.show();">
                                    <f:setPropertyActionListener value="#{avaluo}"
                                                                 target="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}" />
                                </p:commandButton>

                                <p:commandButton title="Suspender avalúo"
                                                 action="#{modificarPlazoEjecucionAvaluo.iniciarAvaluoMovimiento}"
                                                 disabled="#{avaluo.estaSuspendido}"
                                                 icon="ui-icon ui-icon-close"
                                                 oncomplete="registrarFechaSuspensionWV.show(); statusDialog2.hide();"
                                                 onstart="statusDialog2.show();">
                                    <f:setPropertyActionListener value="#{avaluo}"
                                                                 target="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}" />
                                </p:commandButton>

                                <p:commandButton title="Reactivar avalúo"
                                                 action="#{modificarPlazoEjecucionAvaluo.iniciarAvaluoMovimiento}"
                                                 icon="ui-icon ui-icon-check"
                                                 oncomplete="registrarFechaReactivacionWV.show(); statusDialog2.hide();"
                                                 onstart="statusDialog2.show();">
                                    <f:setPropertyActionListener value="#{avaluo}"
                                                                 target="#{modificarPlazoEjecucionAvaluo.avaluoSeleccionado}" />
                                </p:commandButton>

                            </p:outputPanel>
                        </p:column>

                        <p:column style="text-align:center">
                            <f:facet name="header">
                                Información<br />predial
                            </f:facet>
                            <p:commandButton title="Información de los predios del avalúo"
                                             icon="ui-icon-home"
                                             action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                             update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();
                                             handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                            </p:commandButton>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Sec radicado
                            </f:facet>
                            <p:commandLink styleClass="commandLinkStyle"
                                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                           value="#{avaluo.secRadicado}" immediate="true">
                                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                            </p:commandLink>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Departamento
                            </f:facet>
                            <p:commandLink
                                value="#{avaluo.avaluosPredios[0].departamento.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                                immediate="true">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText styleClass="outputTextStyle"
                                          rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                          value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />

                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Municipio
                            </f:facet>
                            <p:commandLink
                                value="#{avaluo.avaluosPredios[0].departamento.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);"
                                immediate="true">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText styleClass="outputTextStyle"
                                          rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                          value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Adjudicación
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.avaluoAsignacionProfesionals[0].ordenPractica.fecha}"
                                styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFecha}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Plazo de<br />ejecución
                            </f:facet>
                            <h:outputText value="#{avaluo.plazoEjecucion}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Días de<br />ampliación
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.ultimoMovimientoAmpliacion.diasAmpliacion}"
                                styleClass="outputTextStyle" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Justificación<br />ampliación
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.ultimoMovimientoAmpliacion.descripcionJustificacion}"
                                styleClass="outputTextStyle" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Suspendido
                            </f:facet>
                            <p:selectBooleanCheckbox value="#{avaluo.estaSuspendido}"
                                                     styleClass="outputTextStyle" disabled="true" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha<br />suspensión
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.ultimoMovimientoSuspension.fechaDesde}"
                                styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFecha}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha<br />reactivación
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.ultimoMovimientoReactivacion.fechaHasta}"
                                styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFecha}"
                                                   locale="es_CO" timeZone="GMT-5" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Justificación<br />suspensión
                            </f:facet>
                            <h:outputText
                                value="#{avaluo.ultimoMovimientoSuspension.descripcionJustificacion}"
                                styleClass="outputTextStyle" />
                        </p:column>
                    </p:dataTable>

                </h:panelGrid>

                <p:spacer height="10" />



                <p:separator style="width:925px;height:3px" />

                <p:spacer height="7" width="0" />

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar"
                                     action="#{modificarPlazoEjecucionAvaluo.cerrar}"
                                     icon="ui-icon-circle-close" immediate="true" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />
            </p:fieldset>
        </h:form>

        <!-- CC DE CONFIRMACION PARA CREACION DE MOVIMIENTO DE AMPLIACION -->
        <misc:ultimateConfirmDialogCC
            additionalActionOnYes="; ingresarDiasAmpliacionWV.hide()"
            confirmMessage="¿Está seguro de realizar la ampliación del avalúo seleccionado?"
            confirmUpdateOnYes=":modificarPlazoEjecucionAvaluoForm:modificarPlazoEjecucionFS"
            confirmDialogWV="confirmaAmpliacionWV"
            voidActionOnYes="#{modificarPlazoEjecucionAvaluo.crearAvaluoMovimientoAmpliacion}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <!-- CC DE CONFIRMACION PARA CREACION DE MOVIMIENTO DE SUSPENSION -->
        <misc:ultimateConfirmDialogCC
            additionalActionOnYes="; registrarFechaSuspensionWV.hide()"
            confirmMessage="Está seguro de realizar la suspensión del avalúo seleccionado?"
            confirmUpdateOnYes=":modificarPlazoEjecucionAvaluoForm:modificarPlazoEjecucionFS"
            confirmDialogWV="confirmaSuspensionWV"
            voidActionOnYes="#{modificarPlazoEjecucionAvaluo.crearAvaluoMovimientoSuspension}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <!-- CC DE CONFIRMACION PARA CREACION DE MOVIMIENTO DE REACTIVACION -->
        <misc:ultimateConfirmDialogCC
            additionalActionOnYes="; registrarFechaReactivacionWV.hide()"
            confirmMessage="Está seguro de realizar la reactivación del avalúo seleccionado?"
            confirmUpdateOnYes=":modificarPlazoEjecucionAvaluoForm:modificarPlazoEjecucionFS"
            confirmDialogWV="confirmaReactivacionWV"
            voidActionOnYes="#{modificarPlazoEjecucionAvaluo.crearAvaluoMovimientoReactivacion}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>


        <!-- DIALOGO PARA LLAMAR A PAGINA DONDE SE INGRESA DIAS DE AMPLIACION DEL AVALUO-->
        <p:dialog dynamic="true" appendToBody="true" height="240" width="650"
                  header="Ingresar días de ampliación"
                  widgetVar="ingresarDiasAmpliacionWV">
            <ui:include
                src="/avaluos/ejecucion/ingresarDiasAmpliacionAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOGO PARA LLAMAR A PAGINA DONDE SE REGISTRA FECHA DE SUSPENSION DEL AVALUO-->
        <p:dialog dynamic="true" appendToBody="true" height="220" width="650"
                  header="Registrar fecha de suspensión"
                  widgetVar="registrarFechaSuspensionWV">
            <ui:include
                src="/avaluos/ejecucion/registrarFechaSuspensionAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOGO PARA LLAMAR A PAGINA DONDE SE REGISTRA FECHA DE REACTIVACIóN DEL AVALUO-->
        <p:dialog dynamic="true" appendToBody="true" height="190" width="650"
                  header="Registrar fecha de reactivación"
                  widgetVar="registrarFechaReactivacionWV">
            <ui:include
                src="/avaluos/ejecucion/registrarFechaReactivacionAvaluo.xhtml" />
        </p:dialog>


        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>


        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE AVALUADORES ASIGNADOS -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- CC PARA VISUALIZAR DOCUMENTOS -->
        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <!-- CC PARA MOSTRAR DOCUMENTO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                       fileContent="#{previsualizacionDocumento.streamDocumento}" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>

